class Settings {

public:
  Settings();

  void load();

  void setRefreshInterval(unsigned long);
  long getRefreshInterval();

  void setSensorPin(unsigned int);
  unsigned int getSensorPin();

  void setOnTemp(float temp);
  float getOnTemp();

  void setOnHum(float hum);
  float getOnHum();

  void setTempOffset(float temp);
  float getTempOffset();

  void setHumOffset(float hum);
  float getHumOffset();

  void setHeaterOn(bool on);
  bool getHeaterOn();

  void setDehumOn(bool on);
  bool getDehumOn();

private:
  unsigned long refreshInterval;
  unsigned int sensorPin;
  float onTemp;
  float onHum;
  float tempOffset;
  float humOffset;
  bool heaterOn;
  bool dehumOn;

  void save();
};